import { NpmScriptJob, PullRequestFlow, Requirements } from '@games-frontend/ci-flowgen';
import { FLOW_PARAMS } from '@games-frontend/games-secrets';

const linters = new NpmScriptJob({
    title: 'Run linters',
    script: 'ci-parallel ci:typecheck ci:lint',
    requirements: Requirements.Core2,
});

const prFlow = new PullRequestFlow({
    params: FLOW_PARAMS,
    jobs: [linters],
});

const flows = [prFlow];

export default flows;
